/*
 * Class TABLE [INTEGER_64, INTEGER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1840 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1840 [] = {0xFF01,1551,1839,848,869,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1840 [] = {0xFF01,1839,848,869,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1840 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1840 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1840 [] = {0xFF01,1839,848,869,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1840 [] = {0xFF01,1839,848,869,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1840 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1840 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1840 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1840 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1840 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1840 [] = {1839,848,869,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1840 [] = {0xFF01,1839,848,869,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1840 [] = {0xFF01,1824,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1840 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1840 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1840 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1840 [] = {0xFFF8,2,0xFFFF};


static const struct desc_info desc_1840[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1840), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1840), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1840), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1840), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1840), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1840), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1840), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1840), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1840), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1840), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1840), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1840), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1840), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1840), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8633, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8634, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8635, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8636, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8637, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1840), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1840), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9030, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9064, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9031, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9032, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1840), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1840), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1840), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init1840(void)
{
	IDSC(desc_1840, 0, 1839);
	IDSC(desc_1840 + 1, 1, 1839);
	IDSC(desc_1840 + 32, 1134, 1839);
	IDSC(desc_1840 + 41, 1135, 1839);
	IDSC(desc_1840 + 50, 916, 1839);
	IDSC(desc_1840 + 56, 778, 1839);
}


#ifdef __cplusplus
}
#endif
